#FLAGS FOR ALL PLOTTERS
# NoGrid - turn off gridlines
# - to ignore a plot
# LogAxis - will make all Y axes logarithmic
# Title - Will override the auto-generated plot title with the supplied string; Note: spaces will mess it up, i.e. use Title=BloodVolume_vs_Time NOT Title=Blood Volume vs Time; Title=None will remove title
# ReadSkip - Will determine the sample rate of the results file, i.e. ReadSkip=5 will only read every 5th line from the results file; 0 by default
# Y1Label - Override the left-side Y axis label; Y1Label=None will remove label (Note: Don't use spaces for any of the label overrides)
# X1Label - Override the lower X axis label; X1Label=None will remove label
# X1LowerBound - Specify the desired lower X1 bound
# X1UpperBound - Specify the desired upper X1 bound
# Y1LowerBound - Specify the desired lower Y1 bound
# Y1UpperBound - Specify the desired upper Y1 bound
# VerificationDir - Set the directory inside Scenarios in which to search for data (i.e. Patient, Drugs, Miscellaneous)
# DataFileOverride - Override the name of the results file to be loaded that was autogenned by the job name and the VerificationDir (no spaces allowed)
# DataPathOverride - Override the relative path to the results file that was autogenned by the job name and the VerificationDir (no spaces allowed)
# OutputOverride - Specify the path (relative to bin) to output the plot (no spaced allowed; ../verification/Plots/ by default)
# ImageDimensions - Specify the image width and height in pixels (i.e. ImageDimesions=1600,800) Default is 1600x800, but ActionEventPlots can stretch automatically
# RemoveLegends - Removes all legends from the generated plot
# FontSize - Set the font size of axis labels and chart title (FontSize=22 by default)
# OutputFilename - Set the desired filename for the generated plot (no spaces allowed; will default to the chart title if nothing is set for this)

#FLAGS FOR ACTIONEVENTPLOTTER ONLY
# Header - Specify the header(s) that you want to plot on the Y axis
# NoActions - Actions will not be included on the plot or legend
# NoEvents - Events will not be included on the plot or legend
# OmitEventsWith - Will attempt to omit from the plot events that contain any of the specified case-sensitive words, i.e. OmitEventsWith=Tachycardia
# OmitActionsWith - Will attempt to omit from the plot actions that contain any of the specified case-sensitive words, i.e. OmitActionsWith=Hemorrhage,Infusion
# ZeroAxis - Will ensure that zero is included on the Y axis rather than zooming away from it based on the plot's min/max Y values
# HideActionEventLegend - Will hide the legend for actions and events, leaving the legend for data and the action and event lines on the plot
# ExperimentalData - Specify the relative path and filename for experimental results to be plotted as scatter points (Note: no spaces allowed)
# LegendOnly - Generate an image with ONLY the legend, no plot included

#FLAGS FOR MULTIPLOTTER ONLY
# Y1 - Specify the header(s) to be plotted on the primary (left) Y axis; i.e. Y1=Ventilator-Volume(mL),TidalVolume(mL)
# Y2 - Optional; Specify the header(s) to be plotted on the secondary (right) Y axis
# X1 - Specify the header aginst which Y1 data will be plotted
# X2 - Specify the header against which Y2 data will be plotted; required if you specify any Y2 headers
# X2LowerBound - Specify the desired lower X2 bound
# X2UpperBound - Specify the desired upper X2 bound
# Y2LowerBound - Specify the desired lower Y2 bound
# Y2UpperBound - Specify the desired upper Y2 bound
# Y2Label - Override the right-side Y axis label; Y2Label=None will remove label
# X2Label - Override the upper X axis label; X2Label=None will remove label
# ExperimentalData - Specify the relative path and filename for experimental results to be plotted as an additional line (Note: no spaces allowed)
#           Whatever you enter for X2 and Y2 will be the headers pulled from the experimental data file.

# FLAGS FOR RESPIRATORY PFT PLOTTER ONLY
# PFTFile - Specify the path and filename for the .pba containing the PFT data you want to plot (No spaces allowed)

Plotter=pulse.utilities.csv.plots.ActionEventPlotter
Plotter=pulse.utilities.csv.plots.MultiPlotter
Plotter=pulse.utilities.csv.plots.ConvexHullPlotter
Plotter=pulse.utilities.csv.plots.RespiratoryPFTPlotter

#ScenarioName=PlotterType Flag1=Stuff Flag2=Stuff Flag3 FlagN


#PralidoximeValidation=ActionEventPlotter Title=Pralidoxime NoActions NoEvents LogAxis Header=Pralidoxime-PlasmaConcentration(ug/L) DataPathOverride=./Scenarios/Validation/ DataFileOverride=PralidoximeValidationResults.csv ExperimentalData=../docs/Validation/Pharmacokinetic/CSVs/Pralidoxime.csv OutputOverride=..\docs\Doxygen\html\plots\Drugs
#VentricularSystolicDysfunction=ActionEventPlotter NoGrid Title=None Header=BloodVolume(L) OutputOverride=./docs/html/plots/Cardiovascular OutputFilename=HeartFailure.jpg
#CardiacShock=MultiPlotter X1Label=Percent_Of_Blood_Loss X1=BloodVolume(L) Y1=CardiacOutput(L/min) Y1LowerBound=0 X2=BloodVolume(L) Y2=MeanArterialPressure(mmHg) Y2LowerBound=0 X1LowerBound=0 X1UpperBound=0.5 DataPathVerificationOverride=scenarios/patient/ Title=None DataFileOverride=HemorrhageClass4NoFluidResults.csv OutputOverride=./docs/html/plots/Cardiovascular OutputFilename=CardiacShock.jpg
RespiratoryValidation=RespiratoryPFTPlotter Header=TotalLungVolume(mL) VerificationDir=validation/systems/ PFTFile=RespiratoryValidationPFT@120.02s.json Title=Pulmonary_Function_Test_Results OutputOverride=./docs/html/plots/Respiratory/
